The most recent version of the OBDeleven app is compatible with Android 6.0 and above. For iOS users, 14.0 and later versions.

To ensure faster development of new features, security, and compliance with the highest quality standards we are constantly updating the software. After last update OBDeleven application is not compatible with the Android version before 6.0 or iOS version before 14.0 and do not allow connection to the vehicle.

Did this answer your question?